pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: still struggling with Ghostscript under Solaris

On Thursday 16 October 2008 14:24:44 Jörn Clausen wrote:
> Hi!
> I am still not able to compile print/ghostscript under Solaris (Sparc
> and x86). Things got worse with 2008Q3: Now I don't get a non-functional
> binary, but the binary won't even link.
> I can unpack Ghostscript outside pkgsrc, say
> env CPPFLAGS='-I/opt/pkgsrc-2008Q3/include' \
>      LDFLAGS='-L/opt/pkgsrc-2008Q3/lib -R/opt/pkgsrc-2008Q3/lib' \
> ./configure --without-omni \
>              --without-jasper \
>              --with-drivers=HP,JPEG,PBM,PNG,PS,TIFF
> and everything builds just perfect. Ok, it insists on using its own
> versions of libpng and libjpeg, but I can live with that.
> Can someone help me tell pkgsrc to do exactly the same thing? I find the
> pkgsrc guide rather demanding (and doing an alternative version of an
> already present package seems not to be easy).
> Regards,
>     Jörn

What sort of error messages do you get when you try to build this package?

Home | Main Index | Thread Index | Old Index